export const getData = (nameKey = "name") => {
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      const dataList = "#"
        .repeat(8)
        .split("")
        .map((item, index) => {
          return {
            id: index + 1,
            name: `${nameKey}-${Math.random()
              .toString(32)
              .slice(-5)}-${index + 1}`
          };
        });
      resolve(dataList);
    }, 300);
  });
};
